# Uses of Interface
org.springframework.web.multipart.MultipartFile

Packages that use MultipartFile
Package
Description
org.springframework.web.bind
Provides web-specific data binding functionality.
org.springframework.web.multipart
Multipart resolution framework for handling file uploads.
org.springframework.web.multipart.support
Support classes for the multipart resolution framework.

## Uses of MultipartFile in org.springframework.web.bind

Method parameters in org.springframework.web.bind with type arguments of type MultipartFile
Modifier and Type
Method
Description
`protected void`
WebDataBinder.`bindMultipart(Map<String,List<MultipartFile>> multipartFiles, org.springframework.beans.MutablePropertyValues mpvs)`
Bind all multipart files contained in the given request, if any (in case of a multipart request).

## Uses of MultipartFile in org.springframework.web.multipart

Methods in org.springframework.web.multipart that return MultipartFile
Modifier and Type
Method
Description
`MultipartFile`
MultipartRequest.`getFile(String name)`
Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.
Methods in org.springframework.web.multipart that return types with arguments of type MultipartFile
Modifier and Type
Method
Description
`Map<String,MultipartFile>`
MultipartRequest.`getFileMap()`
Return a `Map` of the multipart files contained in this request.
`List<MultipartFile>`
MultipartRequest.`getFiles(String name)`
Return the contents plus description of uploaded files in this request, or an empty list if it does not exist.
`org.springframework.util.MultiValueMap<String,MultipartFile>`
MultipartRequest.`getMultiFileMap()`
Return a `MultiValueMap` of the multipart files contained in this request.

## Uses of MultipartFile in org.springframework.web.multipart.support

Methods in org.springframework.web.multipart.support that return MultipartFile
Modifier and Type
Method
Description
`MultipartFile`
AbstractMultipartHttpServletRequest.`getFile(String name)`
Methods in org.springframework.web.multipart.support that return types with arguments of type MultipartFile
Modifier and Type
Method
Description
`Map<String,MultipartFile>`
AbstractMultipartHttpServletRequest.`getFileMap()`
`List<MultipartFile>`
AbstractMultipartHttpServletRequest.`getFiles(String name)`
`org.springframework.util.MultiValueMap<String,MultipartFile>`
AbstractMultipartHttpServletRequest.`getMultiFileMap()`
`protected org.springframework.util.MultiValueMap<String,MultipartFile>`
AbstractMultipartHttpServletRequest.`getMultipartFiles()`
Obtain the MultipartFile Map for retrieval, lazily initializing it if necessary.
Method parameters in org.springframework.web.multipart.support with type arguments of type MultipartFile
Modifier and Type
Method
Description
`protected final void`
AbstractMultipartHttpServletRequest.`setMultipartFiles(org.springframework.util.MultiValueMap<String,MultipartFile> multipartFiles)`
Set a Map with parameter names as keys and list of MultipartFile objects as values.
Constructor parameters in org.springframework.web.multipart.support with type arguments of type MultipartFile
Modifier
Constructor
Description
``
`DefaultMultipartHttpServletRequest(HttpServletRequest request, org.springframework.util.MultiValueMap<String,MultipartFile> mpFiles, Map<String,String[]> mpParams, Map<String,String> mpParamContentTypes)`
Wrap the given HttpServletRequest in a MultipartHttpServletRequest.